<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hidss__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hidss_config_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hidss__config__t_1a82c19dda559d1a9516570e820e59ec18" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__hidss__t">cy_stc_ble_hidss_t</ref> *</type>
        <definition>const cy_stc_ble_hidss_t* cy_stc_ble_hidss_config_t::attrInfo</definition>
        <argsstring />
        <name>attrInfo</name>
        <briefdescription>
<para>HID Service GATT attribute handles structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="283" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="283" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__config__t_1a4fde879c891659b67e71954cdc4f3ecf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidss_config_t::serviceCount</definition>
        <argsstring />
        <name>serviceCount</name>
        <briefdescription>
<para>HID Service number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="286" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="286" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__config__t_1a514d0e5359e8904e437aefbde12fb8e7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidss_config_t::reportCount</definition>
        <argsstring />
        <name>reportCount</name>
        <briefdescription>
<para>Total number of HID Characteristic Report. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="289" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="289" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Service configuration structure (server) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="814">
        <label>cy_stc_ble_hidss_config_t</label>
        <link refid="structcy__stc__ble__hidss__config__t" />
        <childnode refid="815" relation="usage">
          <edgelabel>attrInfo</edgelabel>
        </childnode>
      </node>
      <node id="816">
        <label>cy_stc_ble_hidss_report_t</label>
        <link refid="structcy__stc__ble__hidss__report__t" />
      </node>
      <node id="815">
        <label>cy_stc_ble_hidss_t</label>
        <link refid="structcy__stc__ble__hidss__t" />
        <childnode refid="816" relation="usage">
          <edgelabel>bootReportArray</edgelabel>
          <edgelabel>reportArray</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="291" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="281" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hidss__config__t_1a82c19dda559d1a9516570e820e59ec18" virt="non-virtual"><scope>cy_stc_ble_hidss_config_t</scope><name>attrInfo</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__config__t_1a514d0e5359e8904e437aefbde12fb8e7" virt="non-virtual"><scope>cy_stc_ble_hidss_config_t</scope><name>reportCount</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__config__t_1a4fde879c891659b67e71954cdc4f3ecf" virt="non-virtual"><scope>cy_stc_ble_hidss_config_t</scope><name>serviceCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>